Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228138 - CVE-2006-6979: amarok shell escaping issue
Summary: CVE-2006-6979: amarok shell escaping issue
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 08:54 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 21:15:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 138499 None None None Never

Description Ville Skyttä 2007-02-10 08:54:45 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-6979

"The ruby handlers in Amarok do not properly quote text in certain contexts,
probably including construction of an unzip command line, which allows attackers
to execute arbitrary commands via shell metacharacters."

Not clear to me which, if any, versions of amarok in FE or upstream are
affected.  The referenced bugs.kde.org entry is open and there are no comments
at the moment.

Comment 1 Aurelien Bompard 2007-02-14 19:15:44 UTC
Bug fixed in amarok SVN, backported to amarok-1.4.5-2 and rebuilt for devel,
FC-6 and FC-5.
For reference : http://bugs.kde.org/show_bug.cgi?id=138499


Note You need to log in before you can comment on or make changes to this bug.